
Figure - Bug #115699
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT2】【多任务管理】多任务管理界面存在一个小窗应用与一个应用卡片时，小窗应用与应用卡片
之间有滚动的显示效果
2023-02-01 16:11 - CD Test赵飞

Status: CLOSED Start date: 2023-02-01

Priority: Normal Due date: 2023-02-06

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-07

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、任意打开一个小窗应用

2、再任意打开一个全屏应用

3、进入多任务管理界面查看

【预期结果】

3、多任务管理界面显示正常，小窗应用与全屏应用卡片之间没有滚动的显示效果

【实际结果】

3、小窗应用与应用卡片之间有滚动的显示效果

History

#1 - 2023-02-01 19:52 - CD APP-王营

- Due date set to 2023-02-02

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-02-02 19:08 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

给定RecentView指定的宽度，发现还是有多出来的位置可以产生滑动，排除设定宽度方案

■ Next action / ■Submit URL

尝试找到其继承的PagedView的滑动逻辑，指定范围内可以滑动

#3 - 2023-02-02 20:57 - CD APP-王宏

- Due date changed from 2023-02-02 to 2023-02-03

2025-07-04 1/3



#4 - 2023-02-03 19:43 - CD APP-王宏

- % Done changed from 0 to 30

■ Current conclusion

分析中

■ My analysis

排查到和PagedView$mMaxScroll 变量相关,可以在子类RecentView中复写getScrollForPage()

方法做拦截处理，另外也可以根据getScrollForPage() 的获取逻辑，去处理mPageScrolls这个数组中的数据，

尽量按第二种方案处理

■ Next action

继续调查第二种方案

#5 - 2023-02-04 17:34 - CD APP-王宏

- % Done changed from 30 to 40

■ Current conclusion

代码已提交, 待入库

■ My analysis

自定义控件相关问题，修改了其最大滚动范围，task数量

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/178890

#6 - 2023-02-06 15:47 - CD APP-王营

- Due date changed from 2023-02-03 to 2023-02-06

#7 - 2023-02-06 17:38 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178890 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

FW:Launcher:Fix abnormal shadow display1.Modify the shadow display between the small window and RecentView2.Modify the RecentView rolling range

algorithm3.Fix the number display exception of RecentViewTC-RID: 1201-0205302IssueID: TS-R-BUG-115699Change-Id:

Ife4679fe4cf871d1d9d4ee0b5e916883e8fa4e2f

#8 - 2023-02-06 17:41 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD Test赵飞

- % Done changed from 40 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-07

- Root cause set to 编码问题
■ Current conclusion

代码已入库

■ My analysis

自定义控件相关问题，修改了RecentView最大滚动范围，task数量问题

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/178890

#9 - 2023-02-07 13:44 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

验证结果：PASS

#10 - 2023-02-07 13:44 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

0_15_1_2_Launcher_多任务卡片内容_右手模式_有小窗应用任务带占位图1卡片.png1 MB 2023-02-01 CD Test赵飞

screenshot.png 357 KB 2023-02-01 CD Test赵飞
